Subject: Re: [RFC/PATCH 4/16] Abstract MSI suspend

From: Roland Dreier <[email-masked]>
Date: Mon, 29 Jan 2007 09:02:18 -0800

> Really?  Which gigE chips are using MSI-X (as opposed to MSI)?

OK, I should look before I post.  But anyway a quick grep shows that
the forcedeth driver does enable MSI-X for at least some devices.  And
a quick look at the nv_suspend() function makes me think that suspend
probably won't work if MSI-X is used, since it doesn't save the MSI-X
state anywhere that I can see (unless the device is magic enough to
keep the MSI-X table in some sort of persistent storage, which I
highly doubt).

 - R.